« リソース型
例 »

定義済み定数

以下の定数が定義されています。 この関数の拡張モジュールが PHP 組み込みでコンパイルされているか、 実行時に動的にロードされている場合のみ使用可能です。

FORCE_GZIP (int)

FORCE_DEFLATE (int)

ZLIB_ENCODING_RAW (int)

RFC 1951 の DEFLATE アルゴリズム。

ZLIB_ENCODING_DEFLATE (int)

RFC 1950 の ZLIB 圧縮アルゴリズム。

ZLIB_ENCODING_GZIP (int)

RFC 1952 の GZIP アルゴリズム。

ZLIB_FILTERED (int)

ZLIB_HUFFMAN_ONLY (int)

ZLIB_FIXED (int)

ZLIB_RLE (int)

ZLIB_DEFAULT_STRATEGY (int)

ZLIB_BLOCK (int)

ZLIB_NO_FLUSH (int)

ZLIB_PARTIAL_FLUSH (int)

ZLIB_SYNC_FLUSH (int)

ZLIB_FULL_FLUSH (int)

ZLIB_FINISH (int)

ZLIB_VERSION (string)

zlib のバージョンナンバーの文字列

ZLIB_VERNUM (int)

zlib のバージョンナンバーの数値

ZLIB_OK (int)

エラーや追加のステータス情報がないことを示します

ZLIB_STREAM_END (int)

ストリームが無事終了したことを示します

ZLIB_NEED_DICT (int)

あらかじめ辞書を設定しておくことが必要です Preset dictionary is needed.

ZLIB_ERRNO (int)

ファイル操作時のエラー

ZLIB_STREAM_ERROR (int)

ストリームのステートが一貫していないか、 パラメータが不正です

ZLIB_DATA_ERROR (int)

入力データが壊れています

ZLIB_MEM_ERROR (int)

メモリが足りません

ZLIB_BUF_ERROR (int)

バッファスペースが足りないか、 入力ストリームの終端が壊れているために処理を続行できません。

ZLIB_VERSION_ERROR (int)

zlib のライブラリバージョンが、 呼び出し側が想定しているバージョンと互換性がありません

関連キーワード:
定数   アルゴリズム   zlib   ストリーム   ナンバー   リソース   Zlib   拡張   組み込み   コンパイル   実行時   ロード   圧縮   数値   ステータス   無事   辞書   Preset   dictionary   needed   操作   ステート   一貫   不正   メモリ
関連する関数・ページ:
dio.constants   yar.constants   misc.constants   yaf.constants   varnish.constants   function.zlib-encode